#!/usr/bin/env python
# coding=utf-8

"""
Copyright (C) 2014-2018 OceanDataLab

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
"""

import os


def sarmapper(filename):
    """Cerbere mapper factory."""
    ext = os.path.splitext(filename)[1].lower()
    if ext == '.tiff':
        from cerbere.mapper.safegeotifffile import SAFEGeoTiffFile
        sarmp = SAFEGeoTiffFile(url=filename)
    else:
        raise Exception('Unknown filename pattern.')
    return sarmp

def sarimage(filename):
    """
    """
    from sar.data.sarimage import SARImage
    sarmp = sarmapper(filename)
    sarim = SARImage(sarmp)
    return sarim
